Jump to content

  •  

- - - - -

Upgrade from IPS 4.0.4 to 4.1.16


  • Please log in to reply
13 replies to this topic

#1 Sipherion

Sipherion

    Member

  • Member
  • PipPip
  • 28 posts

Posted 23 December 2016 - 10:32 PM

Hello,
I'm sorry if this question has already been asked somewhere, but I didn't find it :-(

Need confirmation : is it only possible to upgrade from 4.0.0 to 4.0.X and from 4.1.0 to 4.1.X (with X = last minor version available) ?

If yes, is there any possibility to upgrade from 4.0.X to 4.1.X ? In my case, it would be from 4.0.4 to 4.1.16

May be there is somewhere a tool that will create a new 4.1.16 database containing data from an old version like 4.0.4 ?

If not, how could I import content of my 4.0.4 database in my 4.1.16 database ?

Thank you in advance for your support.

(PS: may be create a post somewhere that will list all possible upgrades (4.0.X => 4.0.Y with Y > X, 4.1.X => 4.1.Y with X < Y and Y < 10 etc.)

Edited by Sipherion, 23 December 2016 - 10:33 PM.


#2 Mercedes-Benz

Mercedes-Benz

    The Horny Admin

  • Account Administrator
  • 638 posts
  • Locationinvision-virus

Posted 24 December 2016 - 01:40 AM

it should work just get your database and site backed up first!

Posted Image


Posted Image
Posted Image[/center]

#3 Sipherion

Sipherion

    Member

  • Member
  • PipPip
  • 28 posts

Posted 24 December 2016 - 05:51 AM

Yes it doesn't, I wouldn't post it if I didn't test it :)
I made a fresh install of IPS 4.1.16 and database structure is not the same that 4.0.4, I think that's why it doesn't work.

#4 punishsulkyALT

punishsulkyALT

    Newbie

  • Member
  • Pip
  • 7 posts

Posted 24 December 2016 - 02:24 PM

View PostSipherion, on 24 December 2016 - 05:51 AM, said:

Yes it doesn't, I wouldn't post it if I didn't test it :)
I made a fresh install of IPS 4.1.16 and database structure is not the same that 4.0.4, I think that's why it doesn't work.

You should've upgraded to the first 4.1 release or at least gone on their documentation to see if there was a tutorial on it. Also do you have a IV license because maybe that was the issue that you didn't insert it in correctly?

#5 Sipherion

Sipherion

    Member

  • Member
  • PipPip
  • 28 posts

Posted 09 January 2017 - 11:14 PM

Hi there,
Sorry for late reply.

View PostpunishsulkyALT, on 24 December 2016 - 02:24 PM, said:

You should've upgraded to the first 4.1 release or at least gone on their documentation to see if there was a tutorial on it. Also do you have a IV license because maybe that was the issue that you didn't insert it in correctly?

Yes I have a IV license but not needed for 4.0.4 (but yes I said to IPS installation my licences, installation of IPS 4.1.17 is working fine)

I try to find some info into IPB official website but there is no existing tool that allow me to migrate from 4.0.4 to another version.

What is the correct process to migrate ? Must I first upgrade from 4.0.4 to 4.0.latest ? Then from 4.0.latest to 4.1.17 ?

Than you for your help

#6 Skull44

Skull44

    Fire Teh Project

  • Member
  • PipPipPip
  • 35 posts
  • LocationEarth

Posted 10 January 2017 - 12:34 AM

View PostSipherion, on 09 January 2017 - 11:14 PM, said:

Hi there,
Sorry for late reply.



Yes I have a IV license but not needed for 4.0.4 (but yes I said to IPS installation my licences, installation of IPS 4.1.17 is working fine)

I try to find some info into IPB official website but there is no existing tool that allow me to migrate from 4.0.4 to another version.

What is the correct process to migrate ? Must I first upgrade from 4.0.4 to 4.0.latest ? Then from 4.0.latest to 4.1.17 ?

Than you for your help

To be honest, I was on 4.1.11.x and I skipped all to 4.1.17.1;

I backed up my website and my database, I left the database, deleted everything and uploaded the new updated files and proceeded with example.com/admin/upgrade and it worked. Some things were not working, but if you re-add them, it should all be done and ready for you.

Edited by Skull44, 10 January 2017 - 12:55 AM.


#7 Sipherion

Sipherion

    Member

  • Member
  • PipPip
  • 28 posts

Posted 10 January 2017 - 01:53 AM

I probably made a mistake somewhere in upgrade process but I'm not able to upgrade my IPS...

I have a live forum (/public/forum) running in 4.0.4 and its database is ipb_db.

I have a test forum (/dev/forum) running in 4.1.16 and it's database is ipb_new_db.

How can I use the new forum with the old database ?

#8 Gabe127

Gabe127

    Advanced Member

  • Member
  • PipPipPip
  • 37 posts

Posted 11 January 2017 - 10:32 PM

Alright lets go back a little bit. If your trying to update your existing install navigate to yourdomain.com/admin/upgrade and follow the prompts. If your trying to install a new IPB follow the tutorials listed on this website. I experienced when I had to upgrade, I needed to update my PHP version from version 5 to version 7. You also said you probably made a mistake when upgrading, Did it give you an error code? If I can be of any more assistance let me know by PM.

#9 Sipherion

Sipherion

    Member

  • Member
  • PipPip
  • 28 posts

Posted 11 January 2017 - 11:41 PM

Thank you for trying to help me Gabe127,

When I go to /admin/upgrade it says There are no applications available to upgrade

Posted Image

Edited by Sipherion, 11 January 2017 - 11:57 PM.


#10 Gabe127

Gabe127

    Advanced Member

  • Member
  • PipPipPip
  • 37 posts

Posted 12 January 2017 - 03:14 AM

That means your updated. You sure your running version 4.04? It sounds to me like your update was a success! :D  Make sure of what version your running via the adminCP. Let me know.

#11 Sipherion

Sipherion

    Member

  • Member
  • PipPip
  • 28 posts

Posted 12 January 2017 - 08:11 PM

Yes I'm running 4.0.4 (sorry it's in french, "Version actuelle" = actual version)
Posted Image

EDIT : Wait, I think I got it, I have to make more test and secure my installation. I'll tell you this evening (in 2 or 3 hours)

Edited by Sipherion, 12 January 2017 - 11:50 PM.


#12 Gabe127

Gabe127

    Advanced Member

  • Member
  • PipPipPip
  • 37 posts

Posted 13 January 2017 - 12:02 AM

Okie so im guessing you uploaded the new version right? Whats happening is your system is not showing you have any apps available for upgrade. Can you tell us how you went to upgrade in BINARY mode? Im guessing you extracted the zip and transferred all the files and folders?

#13 Sipherion

Sipherion

    Member

  • Member
  • PipPip
  • 28 posts

Posted 13 January 2017 - 06:14 AM

Issue is solved.

I followed upgrade instructions I found on another website and it's working. I just had some issue with images links of Gallery and signatures, but I updated links into database and it's ok now.

Thank you Gabe and Skull for your patience and your help to show me correct way for troubleshout :)

#14 Gabe127

Gabe127

    Advanced Member

  • Member
  • PipPipPip
  • 37 posts

Posted 13 January 2017 - 09:44 PM

WOOHOO!! Glad its working man :D




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users